Subject: Re: [PATCH] net: pse-pd: add LED trigger support

From: Oleksij Rempel <[email-masked]>
Date: Mon, 16 Mar 2026 07:12:22 +0100

Hi Carlo,

On Sun, Mar 15, 2026 at 10:12:22PM +0100, Carlo Szelinsky wrote:
> Hi Oleksij,
> 
> Thanks for your kind and quick feedback. I appreciate the time you
> invested on the weekend :-)
> 
> I will look into your suggestion and try to work on it... 
> 
> Regarding your question: It is a simple POE chip (hs104) that is
> integrated in different cheap realtek managed switches.
> It communicates only via i2c with the host and does not have any other
> GPIP/IRQ functionality. The problem is that the LEDs are controlled
> via a different (MFD) chip that communicates via i2c as well. We
> wanted to uncouple this as much as possible to keep things clean.
> 
> More information you find here:
> https://github.com/openwrt/openwrt/pull/22245 [hs104 driver]

I would add regmap_range , otherwise regmap damp will try to access not
existing registers.

> https://forum.openwrt.org/t/support-poe-on-hasivo-devices-s1100wp-8gt-se/244817 [discussion]
> https://github.com/openwrt/openwrt/pull/21578 [MFD LED controller]

I guess, here we will have some discussion on the devicetree binding :)

> Side note: We are working hard on supporting PSE-PD for openwrt
> (backports to 6.12, luci, netifd support) and we plan to port other
> old drivers.

Very nice!

> Do you think this simple driver for the hs104 (openwrt github PR)
> could get merged to mainline kernel?

Sure!

Best Regards,
Oleksij
-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |